from dotenv import dotenv_values


class Config:
    data = dotenv_values()
    MINECRAFTD_PASSWORD: str | None = data.get("MINECRAFTD_PASSWORD")
    START_COMMAND: str = data.get("START_COMMAND") or "python proc.py"
    SERVER_HOST: str = data.get("SERVER_HOST") or "localhost"
    SERVER_PORT: int = int(data.get("SERVER_PORT") or 25565)
    SERVER_RCON_PORT: int = int(data.get("SERVER_RCON_PORT") or 25575)
    SERVER_RCON_PASSWORD: str | None = data.get("SERVER_RCON_PASSWORD")
    MAINTAINANCE_FILE = data.get("MAINTAINANCE_FILE") or "maintainance.txt"
    LOG_FILE = data.get("LOG_FILE") or "logs.txt"
